Index: kio/kio/renamedlg.cpp
===================================================================
RCS file: /home/kde/kdelibs/kio/kio/renamedlg.cpp,v
retrieving revision 1.61
diff -d -u -p -r1.61 renamedlg.cpp
--- kio/kio/renamedlg.cpp	25 Feb 2003 13:41:11 -0000	1.61
+++ kio/kio/renamedlg.cpp	5 Mar 2003 05:58:19 -0000
@@ -93,9 +93,11 @@ RenameDlg::RenameDlg(QWidget *parent, co
     // Set "StaysOnTop", because this dialog is typically used in kio_uiserver,
     // i.e. in a separate process.
     // ####### This isn't the case anymore - remove?
-#ifndef Q_WS_QWS //FIXME(E): Implement for QT Embedded
+#ifdef Q_WS_X11 
     if (d->modal)
         KWin::setState( winId(), NET::StaysOnTop );
+#else
+    //FIXME(E): Implement for QWS & MAC
 #endif
 
     d->src = _src;
Index: kio/kio/skipdlg.cpp
===================================================================
RCS file: /home/kde/kdelibs/kio/kio/skipdlg.cpp,v
retrieving revision 1.22
diff -d -u -p -r1.22 skipdlg.cpp
--- kio/kio/skipdlg.cpp	25 Sep 2001 12:04:11 -0000	1.22
+++ kio/kio/skipdlg.cpp	5 Mar 2003 05:58:19 -0000
@@ -42,9 +42,11 @@ SkipDlg::SkipDlg(QWidget *parent, bool _
 
   // Set "StaysOnTop", because this dialog is typically used in kio_uiserver,
   // i.e. in a separate process.
-#ifndef Q_WS_QWS //FIXME(E): Implement for QT Embedded
+#ifdef Q_WS_X11
   if (modal)
     KWin::setState( winId(), NET::StaysOnTop );
+#else
+  //FIXME(E): Implement for QWS & MAC
 #endif
 
   b0 = b1 = b2 = 0L;
Index: kio/kpasswdserver/Makefile.am
===================================================================
RCS file: /home/kde/kdelibs/kio/kpasswdserver/Makefile.am,v
retrieving revision 1.2
diff -d -u -p -r1.2 Makefile.am
--- kio/kpasswdserver/Makefile.am	12 Sep 2002 01:28:33 -0000	1.2
+++ kio/kpasswdserver/Makefile.am	5 Mar 2003 05:58:20 -0000
@@ -10,4 +10,4 @@ kde_module_LTLIBRARIES = kded_kpasswdser
 kded_kpasswdserver_la_SOURCES = kpasswdserver.cpp kpasswdserver.skel 
 kded_kpasswdserver_la_METASOURCES = AUTO
 kded_kpasswdserver_la_LDFLAGS = $(all_libraries) -module -avoid-version
-kded_kpasswdserver_la_LIBADD = $(LIB_KIO)
+kded_kpasswdserver_la_LIBADD = $(LIB_KIO) $(top_builddir)/kded/kded.la
Index: kio/kpasswdserver/kpasswdserver.cpp
===================================================================
RCS file: /home/kde/kdelibs/kio/kpasswdserver/kpasswdserver.cpp,v
retrieving revision 1.6
diff -d -u -p -r1.6 kpasswdserver.cpp
--- kio/kpasswdserver/kpasswdserver.cpp	26 Jan 2003 13:30:13 -0000	1.6
+++ kio/kpasswdserver/kpasswdserver.cpp	5 Mar 2003 05:58:20 -0000
@@ -217,7 +217,9 @@ KPasswdServer::processRequest()
             if (info.readOnly)
                dlg.setUserReadOnly( true );
               
+#ifdef Q_WS_X11
             XSetTransientForHint( qt_xdisplay(), dlg.winId(), request->windowId);
+#endif
             
             dlgResult = dlg.exec();
             
Index: kio/misc/uiserver.cpp
===================================================================
RCS file: /home/kde/kdelibs/kio/misc/uiserver.cpp,v
retrieving revision 1.95
diff -d -u -p -r1.95 uiserver.cpp
--- kio/misc/uiserver.cpp	21 Feb 2003 11:10:25 -0000	1.95
+++ kio/misc/uiserver.cpp	5 Mar 2003 05:58:22 -0000
@@ -985,8 +985,10 @@ void UIServer::killJob( QCString observe
 
 
 void UIServer::closeEvent( QCloseEvent * e){
-#ifndef Q_WS_QWS //FIXME(E): Implement for QT Embedded
+#ifdef Q_WS_X11
    KWin::iconifyWindow(winId());
+#else
+   //FIXME(E): Implement for QWS & MAC
 #endif
    e->accept();
 }
Index: kio/misc/kpac/Makefile.am
===================================================================
RCS file: /home/kde/kdelibs/kio/misc/kpac/Makefile.am,v
retrieving revision 1.10
diff -d -u -p -r1.10 Makefile.am
--- kio/misc/kpac/Makefile.am	20 Jan 2003 12:55:24 -0000	1.10
+++ kio/misc/kpac/Makefile.am	5 Mar 2003 05:58:22 -0000
@@ -10,7 +10,7 @@ KDE_CXXFLAGS = $(USE_EXCEPTIONS)
 kded_proxyscout_la_SOURCES = proxyscout.skel proxyscout.cpp script.cpp \
                              downloader.cpp discovery.cpp
 kded_proxyscout_la_LDFLAGS = $(all_libraries) -module -avoid_version
-kded_proxyscout_la_LIBADD = $(LIB_KIO) $(top_builddir)/kjs/libkjs.la
+kded_proxyscout_la_LIBADD = $(LIB_KIO) $(top_builddir)/kjs/libkjs.la $(top_builddir)/kded/kded.la
 
 kpac_dhcp_helper_SOURCES = kpac_dhcp_helper.c
 kpac_dhcp_helper_LDADD = $(LIBSOCKET)
Index: kio/misc/kpac/kpac_dhcp_helper.c
===================================================================
RCS file: /home/kde/kdelibs/kio/misc/kpac/kpac_dhcp_helper.c,v
retrieving revision 1.8
diff -d -u -p -r1.8 kpac_dhcp_helper.c
--- kio/misc/kpac/kpac_dhcp_helper.c	20 Apr 2002 13:42:02 -0000	1.8
+++ kio/misc/kpac/kpac_dhcp_helper.c	5 Mar 2003 05:58:23 -0000
@@ -19,6 +19,7 @@
 /* $Id: kpac_dhcp_helper.c,v 1.8 2002/04/20 13:42:02 hausmann Exp $ */
 
 #include <config.h>
+#include <sys/types.h>
 #include <grp.h>
 
 #include <unistd.h>
Index: kio/misc/kssld/Makefile.am
===================================================================
RCS file: /home/kde/kdelibs/kio/misc/kssld/Makefile.am,v
retrieving revision 1.10
diff -d -u -p -r1.10 Makefile.am
--- kio/misc/kssld/Makefile.am	10 Dec 2002 09:45:40 -0000	1.10
+++ kio/misc/kssld/Makefile.am	5 Mar 2003 05:58:23 -0000
@@ -21,7 +21,7 @@ INCLUDES= -I$(srcdir)/.. -I$(top_srcdir)
 kde_module_LTLIBRARIES = kded_kssld.la
 
 kded_kssld_la_LDFLAGS = $(all_libraries) -module -avoid-version
-kded_kssld_la_LIBADD = $(LIB_KIO)
+kded_kssld_la_LIBADD = $(LIB_KIO) $(top_builddir)/kded/kded.la
 kded_kssld_la_SOURCES = kssld.cpp kssld.skel
 
 METASOURCES = AUTO
Index: kioslave/http/kcookiejar/Makefile.am
===================================================================
RCS file: /home/kde/kdelibs/kioslave/http/kcookiejar/Makefile.am,v
retrieving revision 1.19
diff -d -u -p -r1.19 Makefile.am
--- kioslave/http/kcookiejar/Makefile.am	13 Sep 2002 15:41:55 -0000	1.19
+++ kioslave/http/kcookiejar/Makefile.am	5 Mar 2003 05:58:23 -0000
@@ -17,7 +17,7 @@ kcookiejar_la_LIBADD = $(LIB_KDECORE)
 kded_kcookiejar_la_SOURCES = kcookiejar.cpp kcookieserver.cpp \
 			kcookieserver.skel kcookiewin.cpp 
 kded_kcookiejar_la_LDFLAGS = $(all_libraries) -module -avoid-version
-kded_kcookiejar_la_LIBADD = $(LIB_KIO)
+kded_kcookiejar_la_LIBADD = $(LIB_KIO) $(top_builddir)/kded/kded.la
 
 kcookiejar_SOURCES = dummy.cpp
 kcookiejar_LDADD = kcookiejar.la
Index: kioslave/http/kcookiejar/kcookiewin.cpp
===================================================================
RCS file: /home/kde/kdelibs/kioslave/http/kcookiejar/kcookiewin.cpp,v
retrieving revision 1.46
diff -d -u -p -r1.46 kcookiewin.cpp
--- kioslave/http/kcookiejar/kcookiewin.cpp	21 Feb 2003 17:37:48 -0000	1.46
+++ kioslave/http/kcookiejar/kcookiewin.cpp	5 Mar 2003 05:58:24 -0000
@@ -72,11 +72,13 @@ KCookieWin::KCookieWin( QWidget *parent,
                         int defaultButton, bool showDetails )
            :KDialog( parent, "cookiealert", true )
 {
-#ifndef Q_WS_QWS //FIXME(E): Implement for Qt Embedded
+#ifdef Q_WS_X11
     KWin::setState( winId(), NET::StaysOnTop );
     KWin::setOnDesktop(winId(), KWin::currentDesktop());
     setCaption( i18n("Cookie Alert") );
     setIcon( SmallIcon("cookie") );
+#else
+    //FIXME(E): Implement for QWS & MAC
 #endif
     // Main widget's layout manager...
     QVBoxLayout* vlayout = new QVBoxLayout( this, KDialog::marginHint(), KDialog::spacingHint() );
Index: libkscreensaver/main.cpp
===================================================================
RCS file: /home/kde/kdelibs/libkscreensaver/main.cpp,v
retrieving revision 1.11
diff -d -u -p -r1.11 main.cpp
--- libkscreensaver/main.cpp	2 Dec 2002 11:41:18 -0000	1.11
+++ libkscreensaver/main.cpp	5 Mar 2003 05:58:26 -0000
@@ -87,7 +87,7 @@ protected:
 
 
 //----------------------------------------------------------------------------
-#ifdef Q_WS_QWS
+#if defined( Q_WS_QWS ) || defined( Q_WS_MAC )
 typedef WId Window;
 #endif
 
Index: libltdl/ltdl.m4
===================================================================
RCS file: /home/kde/kdelibs/libltdl/ltdl.m4,v
retrieving revision 1.8
diff -d -u -p -r1.8 ltdl.m4
--- libltdl/ltdl.m4	22 May 2002 15:37:48 -0000	1.8
+++ libltdl/ltdl.m4	5 Mar 2003 05:58:27 -0000
@@ -100,6 +100,9 @@ AC_CACHE_CHECK([whether deplibs are load
 	hpux*|irix*)
 	  libltdl_cv_sys_dlopen_deplibs=yes
 	  ;;
+	darwin* | rhapsody*)
+	  libltdl_cv_sys_dlopen_deplibs=yes
+	  ;;
 	osf*)
 	  libltdl_cv_sys_dlopen_deplibs=yes
 	  ;;
